Blog

Blog from January, 2019

ecFlow 4.12.0 released

The newly released ecFlow 4.12.0 introduces a number of new features (ecflow release 4.12.0).

In the future, support for Python 2 will be dropped and only Python 3 will be supported. To aid this effort, ecFlow now supports both Python 2 and 3 modules in the same release. This functionality can be enabled if ecFlow is built using CMake 3.12.0 or above. At ECMWF, ecFlow is now built with support for both Python 2.7 and Python 3.6.

This release also introduces the Timeline View in ecFlowUI. This is available as a tab in the Info Panel and provides a graphical view of node state history taken from the log file, allowing greater overview and analysis of node start and run times. It also supports a Duration view mode, displaying the submission and active times. This mode allows you to filter the nodes of your choice. The Timeline View provides the ideal tool to help you identify and optimise the tasks that are taking to much time.

  

This release  allows us to list, the set of nodes that depend on a Event.(i.e. trigger references to an event).   First select the event in ecflowUI, then with RMB select  'Edit ...'


The script location algorithm (i.e. how the server finds your .ecf/.sms files) is now more flexible. Locating ‘.ecf’ file

 

This release corrects some faulty triggers expression, that may require validation.

It is highly recommended that whenever you migrate from one release to another, you run the checks(see below) on the new release.

This will highlight problems early, and save you a lot of debug time.

This can be done before we migrate.

  •  If you use python to generate your suite definitions, then simple make sure you run(defs.check())

    module load ecflow/new
    ...
    # build your python suite definitions
    def = ...
    print defs.check()  # this will print any problems with triggers and inlimit

  • Alternatively you can use:

    module swap ecflow/4.12.0
    ecflow_client --get > tmp.def
    ecflow_client --load tmp.def check_only # this will print any problems with triggers and inlimit

  • If you have migrated to the new release, to check all your suites run:

    module load ecflow/4.12.0
    ecflow_client --check=_all_   # this will print any problems with triggers and inlimits